Subject: Re: De-confused...

From: L J Clarke <[email-masked]>
Date: Tue, 27 Jul 93 17:28:30 BST

Hi Tom

> 
> So, what does MPI_CONTEXTS_RESERVE() mean if contexts are opaque?  

I think means nothing and dissapears.

> I guess I 
> could receive a flattened context from another process, unflatten it, and 
> then call MPI_CONTEXTS_RESERVE() to ensure that a subsequent call to 
> MPI_CONTEXTS_ALLOC() does not give me the "same" context.  If the "same" 
> context is (somehow) already "in use", then I'll get an error from 
> MPI_CONTEXTS_ALLOC() so I can do something about it...  Does this sound 
> right?  

Well, maybe, okay, perhaps.

> Would it be possible to satisfy the "well known context" idea by having a 
> static array of named contexts available for use by a server developer?  
> Something like this:  
> 
>   MPI_NAMED_USER_CONTEXT_0
>   MPI_NAMED_USER_CONTEXT_1
>   ...
>   MPI_NAMED_USER_CONTEXT_63
> 
> We could certainly argue forever about "how many" of these there should be.  
> Do we need a large number of "well known" contexts?

Looks like these just bring back the original problems that opque
contexts were supposed to remove.  I think the idea of well-know
contexts becomes meaningless and dissapears once they become opaque. 

Best Wishes
Lyndon

         /--------------------------------------------------------\
    e||) | Lyndon J Clarke    Edinburgh Parallel Computing Centre | e||) 
    c||c | Tel: 031 650 5021  Email: [email-masked]  | c||c 
         \--------------------------------------------------------/